# PositionProperty

#### abstract new Cesium.PositionProperty()
DataSources/PositionProperty.js 22

The interface for all `Property` objects that define a world location as a `Cartesian3` with an associated `ReferenceFrame`. This type defines an interface and cannot be instantiated directly.

##### See:

- CompositePositionProperty
- ConstantPositionProperty
- SampledPositionProperty
- TimeIntervalCollectionPositionProperty

### Members

#### readonly definitionChanged : Event
DataSources/PositionProperty.js 47

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonly isConstant : Boolean
DataSources/PositionProperty.js 35

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### referenceFrame : ReferenceFrame
DataSources/PositionProperty.js 55

Gets the reference frame that the position is defined in.

### Methods

#### equals(other) → Boolean
DataSources/PositionProperty.js 89

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Cartesian3
DataSources/PositionProperty.js 68

Gets the value of the property at the provided time in the fixed frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Cartesian3 | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.

#### getValueInReferenceFrame(time, referenceFrame, result) → Cartesian3
DataSources/PositionProperty.js 79

Gets the value of the property at the provided time and in the provided reference frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`referenceFrame` | ReferenceFrame | The desired referenceFrame of the result.
`result` | Cartesian3 | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.